<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gml="http://www.opengis.net/gml" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:misp="http://www.infosharp.org/misp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	<xsl:variable name="br" select="'&#x0d;&#x0a;'"/>
	<xsl:template match="/">
		<xsl:apply-templates select="SOAP-ENV:Envelope/SOAP-ENV:Body"/>
	</xsl:template>
	<xsl:template match="SOAP-ENV:Envelope/SOAP-ENV:Body">
		<xsl:apply-templates select="misp:GetFeatureResponse/misp:FeatureCount"/>
		<xsl:apply-templates select="misp:GetFeatureResponse/misp:FeatureCollection"/>
	</xsl:template>
	<xsl:template match="misp:GetFeatureResponse/misp:FeatureCount">
			<xsl:value-of select="normalize-space(.)"/><xsl:value-of select="$br"/>
	</xsl:template>
	<xsl:template match="misp:GetFeatureResponse/misp:FeatureCollection">
			<xsl:value-of select="count(gml:featureMember)"/><xsl:value-of select="$br"/>
	</xsl:template>
</xsl:stylesheet>